Index: GTP/trunk/Lib/Geom/shared/GTGeometry/src/GeoMeshSimplifier.cpp
===================================================================
--- GTP/trunk/Lib/Geom/shared/GTGeometry/src/GeoMeshSimplifier.cpp	(revision 2103)
+++ GTP/trunk/Lib/Geom/shared/GTGeometry/src/GeoMeshSimplifier.cpp	(revision 2127)
@@ -158,18 +158,4 @@
 	mGeoMesh	=	m_qslim->GetMesh();
 
-	//	Debug.
-	cout	<<	"Number of bone assignaments: "
-				<<	mGeoMesh->mBones.size()
-				<<	endl;
-
-	// if the initial mesh had shared vertex,
-	// convert the mesh to shared vertex
-	//Mesh *sharedMesh = mGeoMesh->toSharedVertex();
-	//delete mGeoMesh;
-	//mGeoMesh = sharedMesh;
-
-	//	Sort bones.
-	//sortBones();
-
 	delete	m_qslim;
 }
@@ -191,13 +177,4 @@
 	mGeoMesh	=	m_qslim->GetMesh();
 
-	// if the initial mesh had shared vertex,
-	// convert the mesh to shared vertex
-	//Mesh *sharedMesh = mGeoMesh->toSharedVertex();
-	//delete mGeoMesh;
-	//mGeoMesh = sharedMesh;
-	
-	//	Sort bones.
-	//sortBones();
-	
 	delete m_qslim;
 }
@@ -453,7 +430,9 @@
 		vmi_mesh->vertices[i].y = vertex_buffer->mPosition[i].y;
 		vmi_mesh->vertices[i].z = vertex_buffer->mPosition[i].z;
-		
+
 		vmi_mesh->vertices[i].numTriangles = 0;
 		vmi_mesh->vertices[i].triangles = NULL;
+		vmi_mesh->vertices[i].numEdges = 0;
+		vmi_mesh->vertices[i].edges = NULL;
 		vmi_mesh->vertices[i].enable 	= GL_TRUE;
 		vmi_mesh->vertices[i].movable = GL_TRUE;
@@ -503,5 +482,5 @@
 
 				// Reallocate memory for the new adjacent triangle.
-				vmi_mesh->vertices[v1].triangles = (GLuint *)realloc(vmi_mesh->vertices[v1].triangles, (vmi_mesh->vertices[v1].numTriangles + 1) * sizeof(GLuint));
+				vmi_mesh->vertices[v1].triangles = (int *)realloc(vmi_mesh->vertices[v1].triangles, (vmi_mesh->vertices[v1].numTriangles + 1) * sizeof(int));
 
 				VMI::addItem(	(int *)vmi_mesh->vertices[v1].triangles,
@@ -548,32 +527,7 @@
 			vmi_mesh->edges[n].u						=	v1;
 			vmi_mesh->edges[n].v						=	v2;
-			vmi_mesh->edges[n].triangles    = NULL;
-			vmi_mesh->edges[n].numTriangles = 0;
 			vmi_mesh->edges[n].enable 			=	GL_TRUE;
 
-			// Reallocate memory for the new adjacent triangle
-			vmi_mesh->edges[n].triangles = (GLuint *)realloc(vmi_mesh->edges[n].triangles, (vmi_mesh->edges[n].numTriangles + 1) * sizeof(GLuint));
-
-			// Adding triangle i adjacent to edge n
-			VMI::addItem(	(int *)vmi_mesh->edges[n].triangles,
-										(int *)&vmi_mesh->edges[n].numTriangles,
-										i);
-
-			// Adding edge n adjacent to triangle i
-			VMI::addItem((int *)vmi_mesh->triangles[i].edges, (int *)&t, n);
 			n++;
-		}
-		else
-		{
-			// Reallocate memory for the new adjacent triangle.
-			vmi_mesh->edges[e].triangles = (GLuint *)realloc(vmi_mesh->edges[e].triangles, (vmi_mesh->edges[e].numTriangles + 1) * sizeof(GLuint));
-
-			// Adding triangle i adjacent to edge e
-			VMI::addItem(	(int *)vmi_mesh->edges[e].triangles,
-										(int *)&vmi_mesh->edges[e].numTriangles,
-										i);
-
-			// Adding edge e adjacent to triangle i
-			VMI::addItem((int *)vmi_mesh->triangles[i].edges, (int *)&t, e);
 		}
 
@@ -582,32 +536,7 @@
 			vmi_mesh->edges[n].u 						= v2;
 			vmi_mesh->edges[n].v 						= v3;
-			vmi_mesh->edges[n].triangles    = NULL;
-			vmi_mesh->edges[n].numTriangles = 0;
 			vmi_mesh->edges[n].enable 			= GL_TRUE;
 
-			// Reallocate memory for the new adjacent triangle
-			vmi_mesh->edges[n].triangles = (GLuint *)realloc(vmi_mesh->edges[n].triangles, (vmi_mesh->edges[n].numTriangles + 1) * sizeof(GLuint));
-
-			// Adding triangle i adjacent to edge n
-			VMI::addItem((int *)vmi_mesh->edges[n].triangles, (int *)&vmi_mesh->edges[n].numTriangles, i);
-			vmi_mesh->edges[n].triangles    = NULL;
-			vmi_mesh->edges[n].numTriangles = 0;
-
-			// Adding edge n adjacent to triangle i
-			VMI::addItem((int *)vmi_mesh->triangles[i].edges, (int *)&t, n);
 			n++;
-		}
-		else
-		{
-			// Reallocate memory for the new adjacent triangle
-			vmi_mesh->edges[e].triangles = (GLuint *)realloc(vmi_mesh->edges[e].triangles, (vmi_mesh->edges[e].numTriangles + 1) * sizeof(GLuint));
-
-			// Adding triangle i adjacent to edge e
-			VMI::addItem(	(int *)vmi_mesh->edges[e].triangles,
-										(int *)&vmi_mesh->edges[e].numTriangles,
-										i);
-
-			// Adding edge e adjacent to triangle i
-			VMI::addItem((int *)vmi_mesh->triangles[i].edges, (int *)&t, e);
 		}
 		
@@ -616,30 +545,7 @@
 			vmi_mesh->edges[n].u 						= v3;
 			vmi_mesh->edges[n].v 						= v1;
-			vmi_mesh->edges[n].triangles    = NULL;
-			vmi_mesh->edges[n].numTriangles = 0;
 			vmi_mesh->edges[n].enable 			= GL_TRUE;
 
-			// Reallocate memory for the new adjacent triangle.
-			vmi_mesh->edges[n].triangles = (GLuint *)realloc(vmi_mesh->edges[n].triangles, (vmi_mesh->edges[n].numTriangles + 1) * sizeof(GLuint));
-
-			// Adding triangle i adjacent to edge n
-			VMI::addItem(	(int *)vmi_mesh->edges[n].triangles,
-										(int *)&vmi_mesh->edges[n].numTriangles,
-										i);
-
-			// Adding edge n adjacent to triangle i
-			VMI::addItem((int *)vmi_mesh->triangles[i].edges, (int *)&t, n);
 			n++;
-		}
-		else
-		{
-			// Reallocate memory for the new adjacent triangle
-			vmi_mesh->edges[e].triangles = (GLuint *)realloc(vmi_mesh->edges[e].triangles, (vmi_mesh->edges[e].numTriangles + 1) * sizeof(GLuint));
-
-			// Adding triangle i adjacent to edge e
-			VMI::addItem((int *)vmi_mesh->edges[e].triangles, (int *)&vmi_mesh->edges[e].numTriangles, i);
-
-			// Adding edge e adjacent to triangle i
-			VMI::addItem((int *)vmi_mesh->triangles[i].edges, (int *)&t, e);
 		}
 	}
@@ -647,4 +553,19 @@
 	printf("Ok\n");
 	vmi_mesh->numEdges = n;
+
+	for (i=0; i<vmi_mesh->numEdges; i++) {
+		v1 = vmi_mesh->edges[i].u;
+		v2 = vmi_mesh->edges[i].v;
+
+		vmi_mesh->vertices[v1].edges = 
+			(int *)realloc(vmi_mesh->vertices[v1].edges, (vmi_mesh->vertices[v1].numEdges + 1) * sizeof(int));
+		// Adding edge i adjacent to vertex v1
+		VMI::addItem(vmi_mesh->vertices[v1].edges, &vmi_mesh->vertices[v1].numEdges, i);
+
+		vmi_mesh->vertices[v2].edges = 
+			(int *)realloc(vmi_mesh->vertices[v2].edges, (vmi_mesh->vertices[v2].numEdges + 1) * sizeof(int));
+		// Adding edge i adjacent to vertex v2
+		VMI::addItem(vmi_mesh->vertices[v2].edges, &vmi_mesh->vertices[v2].numEdges, i);
+	}
 
 	//	Creates vertex multimap.
@@ -1133,178 +1054,4 @@
 
 //-------------------------------------------------------------------------
-//	Modify the joined vertices sequento to an split.
-//-------------------------------------------------------------------------
-MeshSimplificationSequence *
-TextureConserver::WriteRealSimpSeq(MeshSimplificationSequence *simpseq)
-{
-	bool	edge_found;
-
-	size_t	v0;
-	size_t	v1;
-	size_t	vertex_count;
-	size_t	i,j;
-
-	VertexBuffer	*mVB;
-	GeoVertex			new_vertex;
-
-	multimap<int, int>::iterator	lb0;
-	multimap<int, int>::iterator	ub0;
-	multimap<int, int>::iterator	lb1;
-	multimap<int, int>::iterator	ub1;
-	multimap<int, int>::iterator	it0;
-
-	MeshSimplificationSequence				*real_seq;
-	MeshSimplificationSequence::Step	current_step;
-
-	//	Initialize vertex count.
-	vertex_count	=	mGeoMesh->mVertexBuffer->mVertexCount;
-
-	//	Creates new simplification sequence.
-	real_seq	=	new	MeshSimplificationSequence();
-
-	//	For each simplification step.
-	for (i = 0; i < simpseq->mSteps.size();	i++)
-	{
-		lb0	=	mVertices.lower_bound(simpseq->mSteps[i].mV0);
-		ub0	=	mVertices.upper_bound(simpseq->mSteps[i].mV0);
-		lb1	=	mVertices.lower_bound(simpseq->mSteps[i].mV1);
-		ub1	=	mVertices.upper_bound(simpseq->mSteps[i].mV1);
-
-		//	Removed vertex.
-		while (lb1 != ub1)
-		{
-			//	Real index.
-			v1	=	(*lb1).second;
-
-			//	Begin of iteration v0.
-			it0	=	lb0;
-
-			edge_found	=	false;
-
-			//	Remaining vertex.
-			while (it0 != ub0)
-			{
-				//	Real index.
-				v0	=	(*it0).second;
-
-				//	If edge exists.
-				if (mEdges->exists(v0,v1))
-				{
-					mEdges->contract(v1,v0);
-
-					//	Simplification sequence.
-					current_step.mV0	=	v0;
-					current_step.mV1	=	v1;
-
-					real_seq->mSteps.push_back(current_step);
-
-					edge_found	=	true;
-				}
-
-				it0++;
-			}
-
-			//	If not found a valid edge.
-			if (!edge_found)
-			{
-				//	Id new vertex.
-				new_vertex.id					=	vertex_count;
-				new_vertex.bonefrom		=	v0;
-
-				//	Simplification sequence.
-				current_step.mV0	=	new_vertex.id;
-				current_step.mV1	=	v1;
-
-				real_seq->mSteps.push_back(current_step);
-
-				//	Contracts lonely vertex.
-				mEdges->contract(v1,new_vertex.id);
-
-				//	New vertex adquires position of v0.
-				new_vertex.position.x	=	mGeoMesh->mVertexBuffer->mPosition[v0].x;
-				new_vertex.position.y	=	mGeoMesh->mVertexBuffer->mPosition[v0].y;
-				new_vertex.position.z	=	mGeoMesh->mVertexBuffer->mPosition[v0].z;
-
-				//	New vertex adquires normal of lonely one.
-				new_vertex.normal.x	=	mGeoMesh->mVertexBuffer->mNormal[v1].x;
-				new_vertex.normal.y	=	mGeoMesh->mVertexBuffer->mNormal[v1].y;
-				new_vertex.normal.z	=	mGeoMesh->mVertexBuffer->mNormal[v1].z;
-
-				//	New vertex adquires the texture cood of the lonely one.
-				new_vertex.texcoord.x	=	mGeoMesh->mVertexBuffer->mTexCoords[v1].x;
-				new_vertex.texcoord.y	=	mGeoMesh->mVertexBuffer->mTexCoords[v1].y;
-
-				//	New vertex stored.
-				real_seq->mNewVertices.push_back(new_vertex);
-
-				//	New vertex added.
-				vertex_count++;
-			}
-
-			lb1++;
-		}
-	}
-
-	//	Assigns new simplification sequence.
-	delete	simpseq;
-
-	return	real_seq;
-	/*
-	//	New vertex buffer to add new vertices.
-	mVB	=	new VertexBuffer();
-
-	mVB->mPosition	=	new Vector3[vertex_count];
-	mVB->mNormal		=	new Vector3[vertex_count];
-	mVB->mTexCoords	=	new Vector2[vertex_count];
-
-	mVB->mVertexInfo	=	mGeoMesh->mVertexBuffer->mVertexInfo;
-
-	//	Copy original vertices.
-	for (i = 0; i < mGeoMesh->mVertexBuffer->mVertexCount; i++)
-	{
-		mVB->mPosition[i].x	=	mGeoMesh->mVertexBuffer->mPosition[i].x;
-		mVB->mPosition[i].y	=	mGeoMesh->mVertexBuffer->mPosition[i].y;
-		mVB->mPosition[i].z	=	mGeoMesh->mVertexBuffer->mPosition[i].z;
-
-		mVB->mNormal[i].x	=	mGeoMesh->mVertexBuffer->mNormal[i].x;
-		mVB->mNormal[i].y	=	mGeoMesh->mVertexBuffer->mNormal[i].y;
-		mVB->mNormal[i].z	=	mGeoMesh->mVertexBuffer->mNormal[i].z;
-
-		mVB->mTexCoords[i].x	=	mGeoMesh->mVertexBuffer->mTexCoords[i].x;
-		mVB->mTexCoords[i].y	=	mGeoMesh->mVertexBuffer->mTexCoords[i].y;
-	}
-
-	//	Add new vertices.
-	j	=	mGeoMesh->mVertexBuffer->mVertexCount;
-
-	for (i = 0; i < new_vertices.size(); i++)
-	{
-		mVB->mPosition[j].x	=	new_vertices[i].position.x;
-		mVB->mPosition[j].y	=	new_vertices[i].position.y;
-		mVB->mPosition[j].z	=	new_vertices[i].position.z;
-
-		mVB->mNormal[j].x	=	new_vertices[i].normal.x;
-		mVB->mNormal[j].y	=	new_vertices[i].normal.y;
-		mVB->mNormal[j].z	=	new_vertices[i].normal.z;
-
-		mVB->mTexCoords[j].x	=	new_vertices[i].texcoord.x;
-		mVB->mTexCoords[j].y	=	new_vertices[i].texcoord.y;
-	}
-
-	//	Free memory.
-	delete	[]mGeoMesh->mVertexBuffer;
-
-	//	Reassigns main vertex buffer with new vertices.
-	mGeoMesh->mVertexBuffer	= mVB;
-
-	//	Reassign submesh vertex buffers.
-	for (i = 0; i < mGeoMesh->mSubMeshCount; i++)
-	{
-		mGeoMesh->mSubMesh[i].mVertexBuffer	=	mVB;
-	}
-	*/
-}
-
-//-------------------------------------------------------------------------
 //	Return	mesh that may have repeated vertices for texture aparence.
 //-------------------------------------------------------------------------
Index: GTP/trunk/Lib/Geom/shared/GTGeometry/src/GeoMeshLoader.cpp
===================================================================
--- GTP/trunk/Lib/Geom/shared/GTGeometry/src/GeoMeshLoader.cpp	(revision 1526)
+++ GTP/trunk/Lib/Geom/shared/GTGeometry/src/GeoMeshLoader.cpp	(revision 2127)
@@ -1,12 +1,12 @@
-/*==========================================================================
+/*========================================================================
  *	(C) 2005 Universitat Jaume I
- *==========================================================================
+ *========================================================================
  *	PROYECT:	GAME TOOLS
- *==========================================================================*/
+ *========================================================================*/
 /*	CONTENT:	
  *
  *
  *	@file	GeoMeshLoader.cpp
- *==========================================================================*/
+ *========================================================================*/
 
 #include	"GeoMeshLoader.h"
@@ -18,7 +18,7 @@
 using	namespace	std;
 
-//---------------------------------------------------------------------------
+//-------------------------------------------------------------------------
 //	Jump a chunk.
-//---------------------------------------------------------------------------
+//-------------------------------------------------------------------------
 void GeoMeshLoader::jumpChunk(FILE	*f)
 {
@@ -29,7 +29,7 @@
 }
 
-//---------------------------------------------------------------------------
+//-------------------------------------------------------------------------
 //	Read a chunk.
-//---------------------------------------------------------------------------
+//-------------------------------------------------------------------------
 unsigned short GeoMeshLoader::readChunk(FILE	*f)
 {
@@ -42,7 +42,7 @@
 }
 
-//---------------------------------------------------------------------------
+//-------------------------------------------------------------------------
 //	Read geometry vertex element.
-//---------------------------------------------------------------------------
+//-------------------------------------------------------------------------
 void GeoMeshLoader::readGeometryVertexElement(FILE	*f, Mesh	*geoMesh)
 {
@@ -112,7 +112,7 @@
 }
 
-//---------------------------------------------------------------------------
+//-------------------------------------------------------------------------
 //	Read geometry vertex declaration.
-//---------------------------------------------------------------------------
+//-------------------------------------------------------------------------
 void GeoMeshLoader::readGeometryVertexDeclaration(FILE	*f, Mesh	*geoMesh)
 {
@@ -154,8 +154,10 @@
 }//	End readGeometryVertexDeclaration.
 
-//---------------------------------------------------------------------------
+//-------------------------------------------------------------------------
 //	Read geometry vertex buffer.
-//---------------------------------------------------------------------------
-void GeoMeshLoader::readGeometryVertexBuffer(FILE	*f, Mesh	*geoMesh, int option)
+//-------------------------------------------------------------------------
+void GeoMeshLoader::readGeometryVertexBuffer(	FILE	*f,
+																							Mesh	*geoMesh,
+																							int option)
 {
 	unsigned	short	bindIndex;
@@ -287,10 +289,9 @@
 		mError	=	true;
 	}
-
-}
-
-//---------------------------------------------------------------------------
+}
+
+//-------------------------------------------------------------------------
 //	Read Geometry.
-//---------------------------------------------------------------------------
+//-------------------------------------------------------------------------
 void GeoMeshLoader::readGeometry(FILE	*f, Mesh	*geoMesh, int option)
 {
@@ -379,7 +380,7 @@
 }
 
-//---------------------------------------------------------------------------
+//-------------------------------------------------------------------------
 //	Read a submesh operation.
-//---------------------------------------------------------------------------
+//-------------------------------------------------------------------------
 void GeoMeshLoader::readSubMeshOperation(	FILE	*f,
 																					Mesh	*geoMesh,
@@ -403,7 +404,7 @@
 }
 
-//---------------------------------------------------------------------------
+//-------------------------------------------------------------------------
 //	Read a submesh.
-//---------------------------------------------------------------------------
+//-------------------------------------------------------------------------
 void GeoMeshLoader::readSubMesh(FILE	*f, Mesh	*geoMesh, int option)
 {
@@ -563,7 +564,7 @@
 }
 
-//---------------------------------------------------------------------------
+//-------------------------------------------------------------------------
 //	Read a mesh lod information.
-//---------------------------------------------------------------------------
+//-------------------------------------------------------------------------
 void GeoMeshLoader::readMeshLodInfo(FILE	*f, Mesh	*geoMesh)
 {
@@ -600,7 +601,7 @@
 }
 
-//---------------------------------------------------------------------------
+//-------------------------------------------------------------------------
 //	Read a submesh name table.
-//---------------------------------------------------------------------------
+//-------------------------------------------------------------------------
 void GeoMeshLoader::readSubMeshNameTable(FILE	*f, Mesh	*geoMesh)
 {
@@ -639,7 +640,7 @@
 }
 
-//---------------------------------------------------------------------------
+//-------------------------------------------------------------------------
 //	Read a mesh file.
-//---------------------------------------------------------------------------
+//-------------------------------------------------------------------------
 
 #include "GeoLodStripsLibrary.h"
@@ -869,7 +870,7 @@
 
 
-//---------------------------------------------------------------------------
+//-------------------------------------------------------------------------
 //	Allocate memory to the array of strips
-//---------------------------------------------------------------------------
+//-------------------------------------------------------------------------
 SubMesh* GeoMeshLoader::BuildStripsGeoSubMesh(SubMesh* geoSubMesh)
 {
@@ -969,7 +970,7 @@
 }
 
-//---------------------------------------------------------------------------
+//-------------------------------------------------------------------------
 //	Remove degenerate triangles of a submesh given.
-//---------------------------------------------------------------------------
+//-------------------------------------------------------------------------
 SubMesh	*	GeoMeshLoader::removeDegenerateTriangles(SubMesh	*geoSubMesh)
 {
@@ -1074,7 +1075,7 @@
 }
 
-//---------------------------------------------------------------------------
+//-------------------------------------------------------------------------
 //	Loads a mesh.
-//---------------------------------------------------------------------------
+//-------------------------------------------------------------------------
 Mesh* GeoMeshLoader::load(char	*nameFileMesh) 
 {
@@ -1083,5 +1084,5 @@
 	char		version[255];
 	FILE		*pFile;
-	SubMesh		*geosubmesh;
+	SubMesh	*geosubmesh;
 
 	//	Debug.
@@ -1106,11 +1107,18 @@
 	
 	geoMesh	=	NULL;
+
 	if (lodstripsdata)
+	{
 		delete lodstripsdata;
-	lodstripsdata=NULL;
+	}
+
+	lodstripsdata	=	NULL;
 
 	if (treesimpseq)
+	{
 		delete treesimpseq;
-	treesimpseq=NULL;
+	}
+
+	treesimpseq	=	NULL;
 
 	//	Open the mesh file.
@@ -1125,5 +1133,5 @@
 		geoMesh	=	new	Mesh();
 
-		if (fileExt==std::string("OBJ"))
+		if (fileExt == std::string("OBJ"))
 		{
 			mError	=	false;
@@ -1155,16 +1163,4 @@
 
 				cout	<<	version	<<	endl;
-
-				/*if (strcmp(version,"[MeshSerializer_v1.30]\n"))
-				{
-					//	Debug.
-					cout	<<	"Error: Wrong mesh version."
-						<<	endl
-						<<	"Only version 1.3 or older allowed."
-						<<	endl;
-
-					//	Error.
-					mError	=	true;
-				}*/
 
 				while(!feof(pFile))
@@ -1240,7 +1236,7 @@
 }
 
-//---------------------------------------------------------------------------
+//-------------------------------------------------------------------------
 //	Sets coords between -1 and 1.
-//---------------------------------------------------------------------------
+//-------------------------------------------------------------------------
 void	GeoMeshLoader::normalizeModel(Mesh	*geoMesh)
 {
@@ -1390,7 +1386,7 @@
 }
 
-//---------------------------------------------------------------------------
+//-------------------------------------------------------------------------
 //	Get the size in bytes of the file.
-//---------------------------------------------------------------------------
+//-------------------------------------------------------------------------
 size_t	GeoMeshLoader::getFileSize()
 {
@@ -1398,7 +1394,7 @@
 }
 
-//---------------------------------------------------------------------------
+//-------------------------------------------------------------------------
 //	Constructor
-//---------------------------------------------------------------------------
+//-------------------------------------------------------------------------
 GeoMeshLoader::GeoMeshLoader()
 {
@@ -1409,7 +1405,7 @@
 }
 
-//---------------------------------------------------------------------------
+//-------------------------------------------------------------------------
 //	Destroyer.
-//---------------------------------------------------------------------------
+//-------------------------------------------------------------------------
 GeoMeshLoader::~GeoMeshLoader()
 {
@@ -1430,7 +1426,7 @@
 }
 
-//---------------------------------------------------------------------------
+//-------------------------------------------------------------------------
 //	Read bones of the submesh.
-//---------------------------------------------------------------------------
+//-------------------------------------------------------------------------
 void GeoMeshLoader::readSubMeshBoneAssignment(FILE		*f,
 																							SubMesh	*geoSubMesh,
@@ -1452,7 +1448,7 @@
 }
 
-//---------------------------------------------------------------------------
+//-------------------------------------------------------------------------
 //	Read bones of the main mesh.
-//---------------------------------------------------------------------------
+//-------------------------------------------------------------------------
 void GeoMeshLoader::readMeshBoneAssignment(FILE	*f, Mesh	*geoMesh,	int option)
 {
@@ -1472,7 +1468,7 @@
 }
 
-//---------------------------------------------------------------------------
+//-------------------------------------------------------------------------
 //	Read skeleton link.
-//---------------------------------------------------------------------------
+//-------------------------------------------------------------------------
 void GeoMeshLoader::readSkeletonLink(FILE	*f, Mesh	*geoMesh,	int option)
 {
@@ -1490,7 +1486,7 @@
 }
 
-//---------------------------------------------------------------------------
+//-------------------------------------------------------------------------
 //	Read bounding box settings.
-//---------------------------------------------------------------------------
+//-------------------------------------------------------------------------
 void	GeoMeshLoader::readMeshBounds(FILE	*f, Mesh	*geoMesh,	int	option)
 {
Index: GTP/trunk/Lib/Geom/shared/GTGeometry/src/GeoLodStripsConstructor.cpp
===================================================================
--- GTP/trunk/Lib/Geom/shared/GTGeometry/src/GeoLodStripsConstructor.cpp	(revision 2079)
+++ GTP/trunk/Lib/Geom/shared/GTGeometry/src/GeoLodStripsConstructor.cpp	(revision 2127)
@@ -289,5 +289,4 @@
 {
 	unsigned long int i;
-	unsigned long int j;
 	unsigned long int t;
 	unsigned long int v;
@@ -301,5 +300,4 @@
 
 	tipoOrden			Orden;
-	tipoOrden			*Ord;
 	bool					bEncontrado;
 
